Customers
Operations tagged Customers in the public API.
/v1/customers
List customers
List customers. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "customer",
"id": 1,
"chatbot_id": 1,
"external_id": null,
"full_name": "Dr. Amara Russel Sr.",
"email": "annette.runolfsson@example.net",
"phone": null,
"company": null,
"lead_status": "new",
"lifecycle_stage": "lead",
"source": "widget",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": false,
"next_cursor": null,
"previous_cursor": null,
"url": "/v1/customers"
}curl -X GET https://api.agentency.com/v1/customers \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers
Create a customer
Create a customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X POST https://api.agentency.com/v1/customers \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"chatbot_id": 1,
"email": "email",
"phone": "phone",
"full_name": "full_name",
"company": "company",
"external_id": 1
}'/v1/customers/summary
Summary customer
Summary customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:read
curl -X GET https://api.agentency.com/v1/customers/summary \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/export
Export customer
Export customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:read
curl -X GET https://api.agentency.com/v1/customers/export \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/{id}
Retrieve a customer
Retrieve a customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:read
Example 200 response
{
"object": "customer",
"id": 1,
"chatbot_id": 1,
"external_id": null,
"full_name": "Dr. Amara Russel Sr.",
"email": "annette.runolfsson@example.net",
"phone": null,
"company": null,
"lead_status": "new",
"lifecycle_stage": "lead",
"source": "widget",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}curl -X GET https://api.agentency.com/v1/customers/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/{id}
Update a customer
Update a customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X PATCH https://api.agentency.com/v1/customers/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"full_name": "full_name",
"company": "company",
"job_title": "job_title",
"website": "website",
"country": "country",
"lead_status": "lead_status",
"lifecycle_stage": "lifecycle_stage",
"extra": []
}'/v1/customers/{id}
Delete a customer
Delete a customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X DELETE https://api.agentency.com/v1/customers/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/{id}/timeline
Timeline customer
Timeline customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:read
curl -X GET https://api.agentency.com/v1/customers/{id}/timeline \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/{id}/anonymize
Anonymize customer
Anonymize customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X POST https://api.agentency.com/v1/customers/{id}/anonymize \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/customers/bulk_delete
Bulk destroy customer
Bulk destroy customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X POST https://api.agentency.com/v1/customers/bulk_delete \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"ids": []
}'/v1/customers/bulk_anonymize
Bulk anonymize customer
Bulk anonymize customer. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopecustomers:write
curl -X POST https://api.agentency.com/v1/customers/bulk_anonymize \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"ids": []
}'